GOCheap Developers

Gửi sự kiện thử

POST
/webhooks/{webhook_id}/test-event

Gửi ngay một sự kiện webhook.test có chữ ký thật tới URL, trả lại kết quả lần gửi đó. Lần gửi thử không được gửi lại khi lỗi.

Authorization

ApiKeyAuth
headerAuthorization<token>

Authorization: ApiKey <key>. Key sandbox bắt đầu bằng gc_test_, production bằng gc_live_. Key chỉ hiện một lần lúc tạo. Không dùng key trong app di động hay trình duyệt.

Path Parameters

webhook_id*string

Response Body

Kết quả gửi

application/json
  1. response
success*boolean
data*
Example Request
curl -X POST 'https://api-stag.gocheap.vn/open-api/v1/webhooks/string/test-event'
Example Response
{  "success": true,  "data": {    "delivery_id": "dlv_01JCQ9A2B3",    "status_code": 200,    "duration_ms": 184,    "ok": true,    "error": null  }}